For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
      • POSTSet the ISO 4217 compliant display currency code for your Brevo account
      • GETGet the ISO 4217 compliant display currency code for your Brevo account
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
EcommerceCurrencies

Set the ISO 4217 compliant display currency code for your Brevo account

POST
https://api.brevo.com/v3/ecommerce/config/displayCurrency
POST
/v3/ecommerce/config/displayCurrency
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.ecommerce.setConfigDisplayCurrency({
8 code: "EUR",
9 });
10}
11main();
1{
2 "code": "EUR"
3}

Set or update the ISO 4217 display currency code for your Brevo ecommerce account. This currency determines how monetary values are displayed in the ecommerce dashboard and reports. The provided currency code must be a valid ISO 4217 code; invalid codes result in a 422 error. Returns a 403 error if ecommerce is not activated on the account.

Was this page helpful?
Previous

Get the ISO 4217 compliant display currency code for your Brevo account

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Request

set ISO 4217 compliant display currency code payload
codestringRequired
ISO 4217 compliant display currency code

Response

OK
codestring
ISO 4217 compliant display currency code

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error